
QGIS Application - Bug report #20392

QGIS 3.4.1 crashes during DWG/DXF Import

2018-11-07 09:49 AM - Lars Ellebjerg

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: DWG/DXF import

Affected QGIS version:3.4.1 Regression?: No

Operating System: Win 7 Pro SP1 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28212

Description

Crash ID: 5282d536a56d102315f9a428876aee71f1848241

Stack Trace

QgsSettingsLocatorFilter::triggerResult :

QgisAppInterface::mainWindow :

QgisAppInterface::mainWindow :

QgsMeshDatasetGroupTreeView::qt_static_metacall :

QgsMeshDatasetGroupTreeView::qt_static_metacall :

QgsMeshDatasetGroupTreeView::qt_static_metacall :

QgsSettingsLocatorFilter::triggerResult :

QgsSettingsLocatorFilter::triggerResult :

QgsSettingsLocatorFilter::triggerResult :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::dwgImport :
QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: 383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Associated revisions

Revision 3aa2d9ff - 2019-02-19 07:56 PM - Jürgen Fischer

dwg import: catch spline misinterpretation (fixes #20392)

Revision d84c34e0 - 2019-02-19 07:56 PM - Jürgen Fischer
dwg import: support nested blocks (refs #20392)

Revision fd15c3e5 - 2019-02-19 07:56 PM - Jürgen Fischer

dwg import: handle wrong hatch interpretation (refs #20392)

Revision fb81ce68 - 2019-02-26 09:09 AM - Jürgen Fischer

backport dwg import fixes

fec20ae0e  dwg import: less noisy noise reduction

3aa2d9ff9  dwg import: catch spline misinterpretation (fixes #20392)

1a96982d3  dwg import: fix handling of arc and splines in hatches

6090a932c  dwg import: less noisy debugging

92e7faab6  dwg/dxf import: fix angle and alignment handing of (m)texts

0f6421df5  dwg import: use Q_DECLARE_TR_FUNCTIONS in QgsDwgImporter

f12cac7cb  dwg import: progress display

e1562a7f1  dwg import: support dxf encoding (fixes #15999)

b8c727f1d  dwg import: force polyline and hatch/ring continuity

355deb590  dwg import: fix exception (fixes #21177)

d84c34e0b  dwg import: support nested blocks (refs #20392)

fd15c3e5b  dwg import: handle wrong hatch interpretation (refs #20392)

History

#1 - 2018-11-07 11:06 AM - Nyall Dawson

- Status changed from Open to Feedback

You'll need to attach sample data for this issue to be meaningful

#2 - 2018-11-07 02:24 PM - Lars Ellebjerg

- File 180926 Frihedens Butikscenter - Byggefelter.dwg added

#3 - 2018-11-07 02:36 PM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2019-02-19 07:58 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|3aa2d9ff9bc673a6c11456524bb7bfb6532556a7.

Files

180926 Frihedens Butikscenter - Byggefelter.dwg 1.57 MB 2018-11-07 Lars Ellebjerg
